- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QAccessibleTextInterface Class Reference

Search for all occurrences

## Detailed Description

Definition at line 109 of file qaccessible2.h.

`#include <qaccessible2.h>`

Inheritance diagram for QAccessibleTextInterface:
[legend]

List of all members.

## Public Member Functions
QAccessible2Interface * | qAccessibleTextCastHelper ()
virtual | ~QAccessibleTextInterface ()
virtual void | addSelection (int startOffset, int endOffset)=0
virtual QString | attributes (int offset, int *startOffset, int *endOffset)=0
virtual int | cursorPosition ()=0
virtual QRect | characterRect (int offset, QAccessible2::CoordinateType coordType)=0
virtual int | selectionCount ()=0
virtual int | offsetAtPoint (const QPoint &point, QAccessible2::CoordinateType coordType)=0
virtual void | selection (int selectionIndex, int *startOffset, int *endOffset)=0
virtual QString | text (int startOffset, int endOffset)=0
virtual QString | textBeforeOffset (int offset, QAccessible2::BoundaryType boundaryType, int *startOffset, int *endOffset)=0
virtual QString | textAfterOffset (int offset, QAccessible2::BoundaryType boundaryType, int *startOffset, int *endOffset)=0
virtual QString | textAtOffset (int offset, QAccessible2::BoundaryType boundaryType, int *startOffset, int *endOffset)=0
virtual void | removeSelection (int selectionIndex)=0
virtual void | setCursorPosition (int position)=0
virtual void | setSelection (int selectionIndex, int startOffset, int endOffset)=0
virtual int | characterCount ()=0
virtual void | scrollToSubstring (int startIndex, int endIndex)=0

## Constructor & Destructor Documentation

virtual ~QAccessibleTextInterface | ( |  | ) | `[inline, virtual]`

Definition at line 114 of file qaccessible2.h.

    {}

## Member Function Documentation

QAccessible2Interface* qAccessibleTextCastHelper | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 112 of file qaccessible2.h.

    { return this; }

virtual void addSelection | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QString attributes | ( | int | offset,
|  | int * | startOffset,
|  | int * | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual int cursorPosition | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual QRect characterRect | ( | int | offset,
|  | QAccessible2::CoordinateType | coordType
| ) |  | `[pure virtual]`

Search for all occurrences

virtual int selectionCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual int offsetAtPoint | ( | const QPoint & | point,
|  | QAccessible2::CoordinateType | coordType
| ) |  | `[pure virtual]`

Search for all occurrences

virtual void selection | ( | int | selectionIndex,
|  | int * | startOffset,
|  | int * | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QString text | ( | int | startOffset,
|  | int | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QString textBeforeOffset | ( | int | offset,
|  | QAccessible2::BoundaryType | boundaryType,
|  | int * | startOffset,
|  | int * | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QString textAfterOffset | ( | int | offset,
|  | QAccessible2::BoundaryType | boundaryType,
|  | int * | startOffset,
|  | int * | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual QString textAtOffset | ( | int | offset,
|  | QAccessible2::BoundaryType | boundaryType,
|  | int * | startOffset,
|  | int * | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual void removeSelection | ( | int | selectionIndex | ) | `[pure virtual]`

Search for all occurrences

virtual void setCursorPosition | ( | int | position | ) | `[pure virtual]`

Search for all occurrences

virtual void setSelection | ( | int | selectionIndex,
|  | int | startOffset,
|  | int | endOffset
| ) |  | `[pure virtual]`

Search for all occurrences

virtual int characterCount | ( |  | ) | `[pure virtual]`

Search for all occurrences

virtual void scrollToSubstring | ( | int | startIndex,
|  | int | endIndex
| ) |  | `[pure virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qaccessible2.h

QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface
QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface QAccessibleTextInterface